Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 14 Mar 2018 07:58:00 +1100

Hi Andrew,

On Tue, 13 Mar 2018 12:44:34 -0700 Andrew Morton <[email-masked]> wrote:
>
> On Tue, 13 Mar 2018 20:51:19 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > After merging the akpm-current tree, today's linux-next build (lots of
> > configuations) failed like this:
> > 
> > (from the i386 defconfig build)
> > 
> > In file included from include/linux/memcontrol.h:29:0,
> >                  from include/linux/swap.h:9,
> >                  from include/linux/suspend.h:5,
> >                  from arch/x86/kernel/asm-offsets.c:13:
> > include/linux/mm.h: In function 'get_mm_hiwater_rss':
> > include/linux/mm.h:1569:9: error: first argument to '__builtin_choose_expr' not a constant
> > include/linux/mm.h: In function 'get_mm_hiwater_vm':
> > include/linux/mm.h:1574:9: error: first argument to '__builtin_choose_expr' not a constant
> > 
> > and many more ...
> > 
> > Caused by commit
> > 
> >   c7c133f3d5ff ("kernel.h: skip single-eval logic on literals in min()/max()")
> > (and perhaps the folloups)
> > 
> > Just a few of my builds actaully worked (including those I do
> > during the day).  For complete logs see
> > http://kisskb.ellerman.id.au/kisskb/head/13556/ .
> > 
> > I guess it could be compiler version specific.  The failing ones are
> > done with gcc 4.6.3.  My successful ones with gcc 7.3.1.  
> 
> Yes, this is being a pain in the butt.  I guess we should drop the
> patches for now.

OK, I have removed them from my copy of your tree (rather than add
reverts on top).

-- 
Cheers,
Stephen Rothwell